Fatal Python ORBit error on FC4

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Fatal Python ORBit error on FC4

Steve Hall-4

Just updated to the Fedora Core 4 Extras gramps 2.0.3 and get:

  [digitect@forreal ~]$ gramps
  Fatal Python error: could not import ORBit module
  Aborted

This is a pretty vanilla system with

  ORBit   1:0.5.17-15
  ORBit2    2.12.1-3
  pyorbit   2.0.0-3.1

What's up?

--
Steve Hall  [ digitect mindspring com ]




-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_id=7477&alloc_id=16492&op=click
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Fatal Python ORBit error on FC4

Don Allingham
Steve,

I don't know. The GRAMPS project did not build this RPM. It could be
several things. GRAMPS does not directly use ORBit, but the gnome-python
libraries use this.

Did the 2.0.0 version in Fedora Extras work?
What version of pygtk are you running?

Several people have indicated that FC4 is presenting problems.
Unfortunately, I do not have a way of debugging this.

Don

On Wed, 2005-06-29 at 23:25 -0400, Steve Hall wrote:

> Just updated to the Fedora Core 4 Extras gramps 2.0.3 and get:
>
>   [digitect@forreal ~]$ gramps
>   Fatal Python error: could not import ORBit module
>   Aborted
>
> This is a pretty vanilla system with
>
>   ORBit   1:0.5.17-15
>   ORBit2    2.12.1-3
>   pyorbit   2.0.0-3.1
>
> What's up?
>



-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_id=7477&alloc_id=16492&op=click
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Fatal Python ORBit error on FC4

Steve Hall-4

The previous version worked. Not sure if it was 2.0.0, but it was from
Fedora Extras as was this one, recently updated.

On Wed, 2005-06-29 at 21:38 -0600, Don Allingham wrote:

> Steve,
>
> I don't know. The GRAMPS project did not build this RPM. It could be
> several things. GRAMPS does not directly use ORBit, but the gnome-python
> libraries use this.
>
> Did the 2.0.0 version in Fedora Extras work?
> What version of pygtk are you running?
>
> Several people have indicated that FC4 is presenting problems.
> Unfortunately, I do not have a way of debugging this.
>
> Don
>
> On Wed, 2005-06-29 at 23:25 -0400, Steve Hall wrote:
> > Just updated to the Fedora Core 4 Extras gramps 2.0.3 and get:
> >
> >   [digitect@forreal ~]$ gramps
> >   Fatal Python error: could not import ORBit module
> >   Aborted
> >
> > This is a pretty vanilla system with
> >
> >   ORBit   1:0.5.17-15
> >   ORBit2    2.12.1-3
> >   pyorbit   2.0.0-3.1
> >
> > What's up?
> >




-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_id=7477&alloc_id=16492&op=click
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Fatal Python ORBit error on FC4

Don Allingham
Someone did an analysis of the original 2.0.0 RPM from Fedora Extras,
and it seemed to be built without full dependencies. It could be that an
updated pyorbit is required.

Unfortunately, we do not have an RPM of our own for FC4, just for FC3.

Can you try building your own? Download the gramps-2.0.4.tar.gz file,
and try running as root:

$ rpmbuild -tb gramps-2.0.4.tar.gz

Don

On Thu, 2005-06-30 at 08:25 -0400, Steve Hall wrote:

> The previous version worked. Not sure if it was 2.0.0, but it was from
> Fedora Extras as was this one, recently updated.
>
> On Wed, 2005-06-29 at 21:38 -0600, Don Allingham wrote:
> > Steve,
> >
> > I don't know. The GRAMPS project did not build this RPM. It could be
> > several things. GRAMPS does not directly use ORBit, but the gnome-python
> > libraries use this.
> >
> > Did the 2.0.0 version in Fedora Extras work?
> > What version of pygtk are you running?
> >
> > Several people have indicated that FC4 is presenting problems.
> > Unfortunately, I do not have a way of debugging this.
> >
> > Don
> >
> > On Wed, 2005-06-29 at 23:25 -0400, Steve Hall wrote:
> > > Just updated to the Fedora Core 4 Extras gramps 2.0.3 and get:
> > >
> > >   [digitect@forreal ~]$ gramps
> > >   Fatal Python error: could not import ORBit module
> > >   Aborted
> > >
> > > This is a pretty vanilla system with
> > >
> > >   ORBit   1:0.5.17-15
> > >   ORBit2    2.12.1-3
> > >   pyorbit   2.0.0-3.1
> > >
> > > What's up?
> > >
>
>
>
--
Don Allingham <[hidden email]>



-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_id=7477&alloc_id=16492&op=click
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Fatal Python ORBit error on FC4

Steven I Usdansky
In reply to this post by Steve Hall-4
On Thu, 30 Jun 2005 08:25:45 -0400
Steve Hall <[hidden email]> scribbled:

>
> The previous version worked. Not sure if it was 2.0.0, but it was from
> Fedora Extras as was this one, recently updated.
>
> On Wed, 2005-06-29 at 21:38 -0600, Don Allingham wrote:
> > Steve,
> >
> > I don't know. The GRAMPS project did not build this RPM. It could be
> > several things. GRAMPS does not directly use ORBit, but the gnome-python
> > libraries use this.
> >
> > Did the 2.0.0 version in Fedora Extras work?
> > What version of pygtk are you running?
> >
> > Several people have indicated that FC4 is presenting problems.
> > Unfortunately, I do not have a way of debugging this.
> >
> > Don
> >
> > On Wed, 2005-06-29 at 23:25 -0400, Steve Hall wrote:
> > > Just updated to the Fedora Core 4 Extras gramps 2.0.3 and get:
> > >
> > >   [digitect@forreal ~]$ gramps
> > >   Fatal Python error: could not import ORBit module
> > >   Aborted
> > >
> > > This is a pretty vanilla system with
> > >
> > >   ORBit   1:0.5.17-15
> > >   ORBit2    2.12.1-3
> > >   pyorbit   2.0.0-3.1
> > >
> > > What's up?
> > >
Steve:

This combination (mostly out of FC development) works for me:
 ORBit2-2.12.1-3
 pyorbit-2.0.1-4
 pygtk2-2.6.0-2 (FC4; devel version hoses the people display)
 gramps-2.0.4-1fdr3


--
Steven I. Usdansky, PhD
Traveling Geologist
Registerd Linux user #360200




===========================
Steven I. Usdansky, PhD
Rock Doctor

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around
http://mail.yahoo.com 


-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_id=7477&alloc_id=16492&op=click
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Fatal Python ORBit error on FC4

Anders Persson
Me to had problems with pyorbit-2.0.0.x, but this was in Gentoo, amd64. I  
don't remember exactly what my error message was, but it was not the same  
as your. Anyway, upgrading to pyorbit-2.0.1 solved my problems.

/Anders


Den 2005-06-30 15:31:29 skrev Steven I Usdansky <[hidden email]>:

> On Thu, 30 Jun 2005 08:25:45 -0400
> Steve Hall <[hidden email]> scribbled:
>
>>
>> The previous version worked. Not sure if it was 2.0.0, but it was from
>> Fedora Extras as was this one, recently updated.
>>
>> On Wed, 2005-06-29 at 21:38 -0600, Don Allingham wrote:
>> > Steve,
>> >
>> > I don't know. The GRAMPS project did not build this RPM. It could be
>> > several things. GRAMPS does not directly use ORBit, but the  
>> gnome-python
>> > libraries use this.
>> >
>> > Did the 2.0.0 version in Fedora Extras work?
>> > What version of pygtk are you running?
>> >
>> > Several people have indicated that FC4 is presenting problems.
>> > Unfortunately, I do not have a way of debugging this.
>> >
>> > Don
>> >
>> > On Wed, 2005-06-29 at 23:25 -0400, Steve Hall wrote:
>> > > Just updated to the Fedora Core 4 Extras gramps 2.0.3 and get:
>> > >
>> > >   [digitect@forreal ~]$ gramps
>> > >   Fatal Python error: could not import ORBit module
>> > >   Aborted
>> > >
>> > > This is a pretty vanilla system with
>> > >
>> > >   ORBit   1:0.5.17-15
>> > >   ORBit2    2.12.1-3
>> > >   pyorbit   2.0.0-3.1
>> > >
>> > > What's up?
>> > >
> Steve:
>
> This combination (mostly out of FC development) works for me:
>  ORBit2-2.12.1-3
>  pyorbit-2.0.1-4
>  pygtk2-2.6.0-2 (FC4; devel version hoses the people display)
>  gramps-2.0.4-1fdr3
>


-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. <a href="http://ads.osdn.com/?ad_idt77&alloc_id492&op=click">http://ads.osdn.com/?ad_idt77&alloc_id492&op=click
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users
Reply | Threaded
Open this post in threaded view
|

Re: Fatal Python ORBit error on FC4

Steve Hall-4
In reply to this post by Don Allingham

I'm fixed now. I removed quite a few Livna repository packages last
night and re-installed the Fedora extras gramps 2.0.3-1 package. It then
requested the dependency gnome-python2-gconf, so somewhere in there must
have been the problem.

On Wed, 2005-06-29 at 21:38 -0600, Don Allingham wrote:

> Steve,
>
> I don't know. The GRAMPS project did not build this RPM. It could be
> several things. GRAMPS does not directly use ORBit, but the gnome-python
> libraries use this.
>
> Did the 2.0.0 version in Fedora Extras work?
> What version of pygtk are you running?
>
> Several people have indicated that FC4 is presenting problems.
> Unfortunately, I do not have a way of debugging this.
>
> Don
>
> On Wed, 2005-06-29 at 23:25 -0400, Steve Hall wrote:
> > Just updated to the Fedora Core 4 Extras gramps 2.0.3 and get:
> >
> >   [digitect@forreal ~]$ gramps
> >   Fatal Python error: could not import ORBit module
> >   Aborted
> >
> > This is a pretty vanilla system with
> >
> >   ORBit   1:0.5.17-15
> >   ORBit2    2.12.1-3
> >   pyorbit   2.0.0-3.1
> >
> > What's up?
> >



-------------------------------------------------------
SF.Net email is sponsored by: Discover Easy Linux Migration Strategies
from IBM. Find simple to follow Roadmaps, straightforward articles,
informative Webcasts and more! Get everything you need to get up to
speed, fast. http://ads.osdn.com/?ad_id=7477&alloc_id=16492&op=click
_______________________________________________
Gramps-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/gramps-users